Skip to content
Login Sign up

Google Reverse Image API

Find where an image appears across the web using Google’s reverse image search. Set engine=google_reverse_image and pass a publicly accessible image URL in the image_url parameter.

GET https://serp.shifter.io/v1?engine=google_reverse_image&api_key=YOUR_API_KEY
ParameterTypeRequiredDescription
api_keystringyesYour SERP API key
enginestringyesMust be google_reverse_image
image_urlstringyesURL of the image to search for (must be URL-encoded)
devicestringnodesktop, mobile, or tablet
google_domainstringnoGoogle domain to use
locationstringnoGeotargeting location name
uulestringnoGoogle encoded location string
hlstringnoInterface language code
glstringnoCountry code
lrstringnoLanguage restriction, format lang_xx
Terminal window
curl "https://serp.shifter.io/v1?engine=google_reverse_image&api_key=YOUR_API_KEY&image_url=https%3A%2F%2Fencrypted-tbn1.gstatic.com%2Fimages%3Fq%3Dtbn%3AANd9GcRjlJi4t9H9nOiAAv_nRGq8arI_Ed9ILW1lY9lKWa63q8AL_UwI"
{
"search_parameters": {
"engine": "google_reverse_image",
"image_url": "https://encrypted-tbn1.gstatic.com/images?q=tbn:..."
},
"image_sizes": [
{ "size": "1920 x 1080", "image": "https://...", "link": "https://..." }
],
"inline_images": [
{ "source": "https://example.com", "thumbnail": "https://..." }
],
"image_results": [
{
"position": 1,
"title": "Image from example.com",
"link": "https://example.com/page",
"source": "example.com",
"thumbnail": "https://..."
}
]
}